package com.house365.ws.dao.mapper;

import com.house365.beans.entity.CustomerCallbackLogEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 江苏三六五网络股份有限公司
 */
@Repository
public interface CustomerCallbackMapper {

    List<CustomerCallbackLogEntity> getCustomerCallbackLogList(Map<String, Object> map);

    List<CustomerCallbackLogEntity> queryByConditions(Map<String, Object> map);

    List<CustomerCallbackLogEntity> getCallBackList(Map<String, Object> map);

    void saveCallBackLog(CustomerCallbackLogEntity customercallbacklogentity);

    List<Map<String,Object>> queryCloudBackCount(Map<String, Object> map);
}
